/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either Version 3 of the License, or (at your option) any later
 * version.
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see <https://www.gnu.org/licenses>.
 * SUPPLEMENTAL TERMS UNDER SECTION 7 OF GNU GENERAL PUBLIC LICENSE
 * The following terms (“Supplemental Terms”) supplement and modify the GNU
 * General Public License, Version 3 applicable to the Program.
 *
 * Copyright © 2014-2022 Arcserve (USA) LLC
 * SPDX-License-Identifier: GPL-2.0+
 */

#ifndef STCVSM_EXT2_BITMAP_H
#define STCVSM_EXT2_BITMAP_H

/* Ext2 bitmap extraction
 * Constructed using on-disk format description at:
 *    http://wiki.osdev.org/Ext2
 */
#include <linux/blkdev.h>

struct ext2_super_block;
struct ext2_group_desc;

int ext2_create_bitmap(struct block_device *bdev, unsigned long *bitmap, unsigned long bits_in_map,
		unsigned long _block_size);
void e2sb_debug(struct ext2_super_block *sb);
void e2bgd_debug(unsigned int index, struct ext2_group_desc *bgd);

#endif
