/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either Version 3 of the License, or (at your option) any later
 * version.
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see <https://www.gnu.org/licenses>.
 * SUPPLEMENTAL TERMS UNDER SECTION 7 OF GNU GENERAL PUBLIC LICENSE
 * The following terms (“Supplemental Terms”) supplement and modify the GNU
 * General Public License, Version 3 applicable to the Program.
 *
 * Copyright © 2014-2022 Arcserve (USA) LLC
 * SPDX-License-Identifier: GPL-2.0+
 */

#ifndef _LOOK_ASIDE_LIST_H
#define _LOOK_ASIDE_LIST_H


/*
 * Look Aside lists interface
 */

struct lookaside_list {
	struct kmem_cache *cache;
	char *name;
	mempool_t *pool;
	size_t size;
};

void lookaside_initialize(
		struct lookaside_list *lookaside,
		void *allocate,
		void *free,
		u32 flags,
		size_t size,
		u32 tag,
		u16 depth);

void *lookaside_allocate(struct lookaside_list *lookaside);
void lookaside_free(struct lookaside_list *lookaside, void *entry);
void lookaside_delete(struct lookaside_list *lookaside);

#endif /* _LOOK_ASIDE_LIST_H */
