/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either Version 3 of the License, or (at your option) any later
 * version.
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see <https://www.gnu.org/licenses>.
 * SUPPLEMENTAL TERMS UNDER SECTION 7 OF GNU GENERAL PUBLIC LICENSE
 * The following terms (“Supplemental Terms”) supplement and modify the GNU
 * General Public License, Version 3 applicable to the Program.
 *
 * Copyright © 2014-2022 Arcserve (USA) LLC
 * SPDX-License-Identifier: GPL-2.0+
 */

#ifndef STCVSM_SNAPSHOT_SET_H
#define STCVSM_SNAPSHOT_SET_H

#include <linux/types.h>

/** Prepares a snapshot (but does not yet snap it) and adds it to a snapshot set.
 * @param guid  The snapshot set GUID; will be created if it does not already exist
 * @param bdev  The device to snapshot
 * @param cow_dev  The dev_t of the copy-on-write device, or 0 if none
 */
int set_add(u8 guid[16], dev_t bdev_num, dev_t cow_num);
int set_snap(u8 guid[16]);
int set_unsnap(u8 guid[16]);

#endif
