/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either Version 3 of the License, or (at your option) any later
 * version.
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see <https://www.gnu.org/licenses>.
 * SUPPLEMENTAL TERMS UNDER SECTION 7 OF GNU GENERAL PUBLIC LICENSE
 * The following terms (“Supplemental Terms”) supplement and modify the GNU
 * General Public License, Version 3 applicable to the Program.
 *
 * Copyright © 2014-2022 Arcserve (USA) LLC
 * SPDX-License-Identifier: GPL-2.0+
 */

/* stcvsm_os.h 
 *	layer for shared code, in kernel space some values are define which are not
 *	available in userspace for unittests
 *
 *	using this file allows for the userspace UNITTESTS to define their own os.h file
 *	which then allows define those values
 */

#ifndef STCVSM_OS_H
#define STCVSM_OS_H

#include <linux/types.h>
#include <linux/fs.h>
#include <linux/mempool.h>
#include <linux/slab.h>
#include <linux/bug.h>

/* for use in printk() calls to display module emergency name */
#define	STCVSM_EMERG	"STCVSM "

#endif  /* STCVSM_OS_H */
